
/**
 * Aanvaardt alleen borden die kleiner zijn dan het laatste
 * bord dat in de kist werd gestopt.
 */
public class Stapelkist implements Kist {
    
    private Bord laatste;
    
    public Stapelkist () {
        laatste = null;
    }
    
    public boolean isAanvaardbaar (Bord bord) {
        return laatste == null ||
           ( bord.getAfmeting() <= laatste.getAfmeting() &&
             bord.getGewicht() <= laatste.getGewicht() );
    }
    
    /**
     * Plaats het bord in deze kist. Zal alleen worden opgeroepen
     * als {@link #isAanvaardbaar} true teruggaf voor hetzelfde bord
     */
    public void nieuwBord (Bord bord) {
        laatste = bord;
    }
}
